MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024024Community[OCCT] OCCT:Data Exchangepublic2013-06-11 11:342014-11-11 12:58
Reportereed_spp 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionreopened 
PlatformIntelOSWindowsOS VersionXP, Win7
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024024: Slow import of specific STEP data
DescriptionImport of attached STEP file is performed very slowly. Scene is quite simple, but sample program "Import Export" (supplied in OCCT installation package) loads this file during 15 minutes (on Core2Duo 2.66GHz). Import using OCCT API also takes similar time.

Is it possible to speed-up the loading of such scenes by OCCT? May be some workaround exists?
TagsNo tags attached.
Test case numberbugs step bug24024
Attached Fileszip file icon slow_import.zip (550,559 bytes) 2013-06-11 11:34

- Relationships

-  Notes
(0027682)
bugmaster (administrator)
2014-01-29 15:39

The problem was fixed
The shape is read for 4 minutes.
Creation of testing case is required
(0027703)
apn (administrator)
2014-01-30 12:34

Problem is not reproduced on current state of master. Branch CR24024 (contains testing case) was created.

Testing case:
bugs step bug24024 - OK.
(0028189)
eed_spp (reporter)
2014-03-11 11:01
edited on: 2014-03-11 11:06

Version 6.7.0 (where this seems should be fixed already) imports this file with almost the same speed: in 6.6.0 import time is 14:50, in 6.7.0 it is 14:00. Is it eventually possible to speed up it?

(0028216)
apn (administrator)
2014-03-12 12:11
edited on: 2014-04-07 10:46

Import time of slow_import.stp in ImportExport MFC SAMPLE is 11-12 minutes (AMD Athlon II X4 630 2.80 GHz).

But loading this file on OCCT 6.7.0 import time is 5 or 6 minutes (test case bugs step bug24024).

(0029308)
ika (developer)
2014-05-13 17:38

Add bounding boxes to accelerate import, now it is nearly 1 minute.

Branch CR24024 is ready to be reviewed.
Dear GKA,
Please review.
(0029368)
gka (developer)
2014-05-16 12:36

Branch CR24024 is ready to test
(0029393)
apv (tester)
2014-05-19 16:00
edited on: 2014-05-19 16:04

Dear BugMaster,

 Branch CR24024 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
 SHA-1: a7e350627579284c136209b8ace4d4ee5b52a243

 Number of compiler warnings:

 occt component :
 Linux: 17 (17 on master)
 Windows: 0 (0 on master)
 MacOS: 202 (205 on master)

 products component :
 Linux: 11 (11 on master)
 Windows: 2 (2 on master)

 Regressions/Differences:
No regressions

 Testing cases:
http://occt-tests/CR24024-master-occt/Debian60-64/bugs/step/bug24024.html [^] [^]
http://occt-tests/CR24024-master-occt/Windows-32-VC9/bugs/step/bug24024.html [^] [^]
 bugs step(014) bug24024: OK

 Testing on Linux:
Total MEMORY difference: 356861760 / 357326856
Total CPU difference: 54567.95000000008 / 56363.43999999993

 Testing on Windows:
Total MEMORY difference: 379931840 / 379589220
Total CPU difference: 40509.0 / 35503.40625

(0029394)
gka (developer)
2014-05-19 16:15

Please provide comparison of times of import this STEP file before and after fix.
(0029395)
apn (administrator)
2014-05-19 16:34

test bugs step bug24024

Before fix:
Linux:
Elapsed time: 0 Hours 0 Minutes 57.484599 Seconds
CPU user time: 56.8 seconds
CPU system time: 0.22 seconds

Windows:
Elapsed time: 0 Hours 1 Minutes 44.6584481001 Seconds
CPU user time: 94.2402041 seconds
CPU system time: 0.3744024 seconds

After fix:
Linux:
Elapsed time: 0 Hours 0 Minutes 12.271586 Seconds
CPU user time: 11.68 seconds
CPU system time: 0.09 seconds

Windows:
Elapsed time: 0 Hours 0 Minutes 21.2441968664 Seconds
CPU user time: 18.2677171 seconds
CPU system time: 0.2964019 seconds

- Related Changesets
occt: master e226a506
Timestamp: 2014-01-30 08:33:15
Author: apn
Committer: bugmaster
Details ] Diff ]
0024024: Slow import of specific STEP data

Added test case bugs/step/bug24024
add - tests/bugs/step/bug24024 Diff ] File ]
occt: master 1ee621b6
Timestamp: 2014-05-22 13:09:07
Author: ika
Committer: apn
Details ] Diff ]
0024024: Slow import of specific STEP data

Add using bounding boxes to accelerating of import
Replace Map of bounding boxes with array.
fix cosmetic mistake
Improving check for periodic cases.
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-06-11 11:34 eed_spp New Issue
2013-06-11 11:34 eed_spp Assigned To => gka
2013-06-11 11:34 eed_spp File Added: slow_import.zip
2014-01-29 15:39 bugmaster Note Added: 0027682
2014-01-29 15:39 bugmaster Assigned To gka => apn
2014-01-29 15:39 bugmaster Status new => resolved
2014-01-30 12:34 apn Note Added: 0027703
2014-01-30 12:35 apn Test case number => bugs step bug24024
2014-01-30 12:35 apn Assigned To apn => bugmaster
2014-01-30 12:35 apn Status resolved => reviewed
2014-01-30 12:35 apn Fixed in Version => 6.7.0
2014-01-30 12:35 apn Target Version => 6.7.0
2014-01-30 12:35 apn Status reviewed => tested
2014-02-03 10:15 bugmaster Changeset attached => occt master e226a506
2014-02-03 10:15 bugmaster Status tested => verified
2014-02-03 10:15 bugmaster Resolution open => fixed
2014-03-11 11:01 eed_spp Note Added: 0028189
2014-03-11 11:01 eed_spp Status verified => feedback
2014-03-11 11:01 eed_spp Resolution fixed => reopened
2014-03-11 11:06 eed_spp Note Edited: 0028189 View Revisions
2014-03-12 12:11 apn Note Added: 0028216
2014-03-12 12:11 apn Assigned To bugmaster => gka
2014-03-12 12:11 apn Status feedback => assigned
2014-04-07 10:44 apn Target Version 6.7.0 => 6.8.0
2014-04-07 10:45 apn Note Edited: 0028216 View Revisions
2014-04-07 10:46 apn Note Edited: 0028216 View Revisions
2014-04-18 15:47 gka Assigned To gka => ika
2014-05-13 17:38 ika Note Added: 0029308
2014-05-13 17:38 ika Assigned To ika => gka
2014-05-13 17:38 ika Status assigned => resolved
2014-05-16 12:36 gka Note Added: 0029368
2014-05-16 12:36 gka Status resolved => reviewed
2014-05-19 16:00 apv Note Added: 0029393
2014-05-19 16:00 apv Assigned To gka => bugmaster
2014-05-19 16:00 apv Status reviewed => tested
2014-05-19 16:03 apv Note Edited: 0029393 View Revisions
2014-05-19 16:04 apv Note Edited: 0029393 View Revisions
2014-05-19 16:04 apv Note Edited: 0029393 View Revisions
2014-05-19 16:15 gka Note Added: 0029394
2014-05-19 16:34 apn Note Added: 0029395
2014-05-23 14:25 apn Changeset attached => occt master 1ee621b6
2014-05-23 14:25 apn Assigned To bugmaster => apn
2014-05-23 14:25 apn Status tested => verified
2014-09-12 19:38 abv Relationship added has duplicate 0024702
2014-11-11 12:45 user533 Fixed in Version 6.7.0 => 6.8.0
2014-11-11 12:58 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker